package remdeshid

// Operation Types
const (
	OPR_TYPE_RESERVED          = 0x00
	OPR_TYPE_KEYBOARD_WRITE    = 0x01
	OPR_TYPE_MOUSE_WRITE       = 0x02
	OPR_TYPE_SWITCH_WRITE      = 0x03
	OPR_TYPE_LED_WRITE         = 0x04
	OPR_TYPE_RESET_INSTR_COUNT = 0xFE
	OPR_TYPE_DATA_RESET        = 0xFF
)

// Operation Sub-types
const (
	SUBTYPE_RESERVED = 0x00
)

// Keyboard Subtypes
const (
	SUBTYPE_KEYBOARD_ASCII_WRITE        = 0x01
	SUBTYPE_KEYBOARD_ASCII_PRESS        = 0x02
	SUBTYPE_KEYBOARD_ASCII_RELEASE      = 0x03
	SUBTYPE_KEYBOARD_MODIFIER_SET       = 0x04
	SUBTYPE_KEYBOARD_MODIFIER_CLEAR     = 0x05
	SUBTYPE_KEYBOARD_FUNCTKEY_WRITE     = 0x06
	SUBTYPE_KEYBOARD_OTHERKEY_PRESS     = 0x07
	SUBTYPE_KEYBOARD_OTHERKEY_RELEASE   = 0x08
	SUBTYPE_KEYBOARD_SPECIAL_CTRLALTDEL = 0xFD
	SUBTYPE_KEYBOARD_SPECIAL_RESET      = 0xFE
	SUBTYPE_KEYBOARD_SPECIAL_RESERVED   = 0xFF
)

// Response Codes
const (
	RESP_OK                = 0x00
	RESP_UNKNOWN_OPR       = 0x01
	RESP_INVALID_OPR_TYPE  = 0x02
	RESP_INVALID_KEY_VALUE = 0x03
	RESP_NOT_IMPLEMENTED   = 0x04

	RESP_START_OF_DEBUG_MSG = 0xE0
	RESP_END_OF_DEBUG_MSG   = 0xE1

	RESP_START_OF_ERR_MSG = 0xEE
	RESP_END_OF_ERR_MSG   = 0xEF
)
